import { DataExtractor, Locator, LocatorFactory } from "./common";
export interface ZookeeperLocatorParameters {
    serverLocator: Locator;
    path: string;
    dataExtractor?: DataExtractor;
    locatorTimeout?: number;
    sessionTimeout?: number;
    spinDelay?: number;
    retries?: number;
    strict?: boolean;
}
export declare class ZookeeperLocator {
    static DefaultLocatorTimeout: number;
    static DefaultSessionTimeout: number;
    static DefaultSpinDelay: number;
    static DefaultRetries: number;
    private static manager;
    static getLocatorFactory(parameters: ZookeeperLocatorParameters): LocatorFactory;
    static DefaultDataExtractor: DataExtractor;
}
